<odoo>
    <data>
        <record id="view_bank_raw_movements_list" model="ir.ui.view">
            <field name="name">bank.raw.movements.list</field>
            <field name="model">bank.raw.movements</field>
            <field name="arch" type="xml">
                <list>
                    <field name="json_data"/>
                    <field name="json_hash_code"/>
                    <field name="create_date"/>
                    <field name="write_date"/>
                </list>
            </field>
        </record>

        <record id="view_bank_raw_movements_form" model="ir.ui.view">
            <field name="name">bank.raw.movements.form</field>
            <field name="model">bank.raw.movements</field>
            <field name="arch" type="xml">
                <form edit="0">
                    <header>

                    </header>
                    <sheet>
                        <group class="oe_title">
                            <h1><field name="bid"/></h1>
                        </group>
                        <group>
                            <field name="json_hash_code"/>
                            <field name="json_data"/>
                        </group>
                        <group>
                            <field name="create_date"/>
                            <field name="write_date"/>
                        </group>
                        <group>
                            <field name="history_ids">
                                <list editable="bottom">
                                    <field name="bid"/>
                                    <field name="json_data"/>
                                    <field name="json_hash_code"/>
                                    <field name="create_date"/>
                                    <field name="write_date"/>
                                </list>
                            </field>
                        </group>
                    </sheet>                            
                </form>
            </field>
        </record>

        <record id="bank_raw_movements_action" model="ir.actions.act_window">
            <field name="name">Bank Raw Movements</field>
            <field name="res_model">bank.raw.movements</field>
            <field name="view_mode">list,form</field>
        </record>

        <menuitem id="menu_bank_raw_movements_submenu" name="Bank Raw Movements" parent="bank_management_submenu" sequence="40" action="bank_raw_movements_action" groups="base.group_system"/>
    </data>
</odoo>
